<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.analysis.SRaRealTimeAnalysicComsitMonitorMapper">

    <resultMap type="cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysicComsitMonitor" id="SRaRealTimeAnalysicComsitMonitorResult">
        <result property="dataId"    column="data_id"    />
        <result property="comsitId"    column="comsit_id"    />
        <result property="monitorId"    column="monitor_id"    />
        <result property="createTime"    column="create_time"    />
    </resultMap>


    <sql id="selectSRaRealTimeAnalysicComsitMonitorVo">
        select data_id, comsit_id, monitor_id, create_time from s_ra_real_time_analysic_comsit_monitor
    </sql>

    <select id="selectSRaRealTimeAnalysicComsitMonitorList" parameterType="cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysicComsitMonitor" resultMap="SRaRealTimeAnalysicComsitMonitorResult">
        <include refid="selectSRaRealTimeAnalysicComsitMonitorVo"/>
        <where>
            <if test="comsitId != null "> and comsit_id = #{comsitId}</if>
            <if test="monitorId != null  and monitorId != ''"> and monitor_id = #{monitorId}</if>
        </where>
    </select>

</mapper>
